Name:          libgrss
Version:       0.7.0
Release:       1mamba
Summary:       A library for easy management of RSS/Atom/Pie feeds
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://live.gnome.org/Libgrss
Source:        https://git.gnome.org/browse/libgrss/snapshot/libgrss-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: gtk-doc
BuildRequires: libglib-devel
BuildRequires: libsoup-devel
BuildRequires: libxml2-devel
BuildRequires: pkg-config
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
LibGRSS is a library for easy management of RSS/Atom/Pie feeds.
Includes methods to fetch, parse and handle XML documents, an implementation of PubSubHubBub client, an OPML parser and some more utility.
LibGRSS is written in C.

%package devel
Group:         Development/Libraries
Summary:       Libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libgrss-static
Obsoletes:     libgrss-static

%description devel
LibGRSS is a library for easy management of RSS/Atom/Pie feeds.

This package contains libraries and header files need for development.

%package static
Group:         Development/Libraries
Summary:       Static libraries for %{name}
Requires:      %{name}-devel = %{?epoch:%epoch:}%{version}-%{release}

%description static
LibGRSS is a library for easy management of RSS/Atom/Pie feeds.

This package contains static libraries need for development.

%package apidocs
Summary:       %{name} API documentation
Group:         Documentation
Requires:      gtk-doc

%description apidocs
LibGRSS is a library for easy management of RSS/Atom/Pie feeds.
This package contains the API documentation for %{name}

%debug_package

%prep
%setup -q

%build
./autogen.sh
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libgrss.so.*
%{_libdir}/girepository-*/Grss-*.typelib
%doc COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libgrss
%{_includedir}/libgrss/*.h
%{_libdir}/libgrss.la
%{_libdir}/libgrss.so
%{_libdir}/pkgconfig/libgrss.pc
%{_datadir}/gir-*/Grss-*.gir
%doc NEWS README TODO

#%files static
#%defattr(-,root,root)

#%files apidocs
#%defattr(-,root,root)
#%dir %{_datadir}/gtk-doc/html/libgrss
#%doc %{_datadir}/gtk-doc/html/libgrss/*

%changelog
* Tue Apr 19 2016 Automatic Build System <autodist@mambasoft.it> 0.7.0-1mamba
- automatic version update by autodist

* Wed Jan 28 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6-1mamba
- update to 0.6

* Tue Oct 09 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.0-1mamba
- update to 0.5.0

* Thu Oct 21 2010 gil <puntogil@libero.it> 0.4.0-1mamba
- package created by autospec
